Category: Learn CAD

  • Save And Close All Open AutoCAD Drawings

    Save And Close All Open AutoCAD Drawings

    Recently, I found myself having 10-15 AutoCAD drawings open at the same time and wanted to close them all.

    An easy way to do it is with two commands.

    To do so, first you type SAVEALL at AutoCAD’s command line and all the open documents are saved. Secondly, the CLOSEALL command follows that will close all the open drawings.

    But… I wanted something more automated. So I wrote a small script that combines those two commands into one that will automatically save and close all the drawings.

    Here’s the script:

    (defun c:SCALL ()
      (command "SAVEALL")
      (command "CLOSEALL")
      (princ)
    )

    That’s all. The file is named SCALL.lsp and the command to run it is also “scall” typed at the command line of AutoCAD.

    If you want to know how to load an AutoLISP script in AutoCAD you can read this small article that teaches you step by step what you should do.

  • CAD Solutions based on your needs

    cad consultingWe provide high quality CAD solutions to your needs.

    From a non CAD user who wants to learn how to draft, to the CAD user who wants to develop an improved workflow we have the solution. (more…)

  • The most essential AutoCAD commands and their shortcuts that will save you many working hours

    Using AutoCAD with only the mouse is a NO NO. No professional does this for many obvious reasons. First of all, using only the mouse and not the keyboard makes you spend more time on a command that could be done with the press of one or two buttons. (more…)

  • Polyline Undo (AutoCAD)

    Let’s say that you are in a polyline command and you just pressed on a wrong point. Don’t panic. There’s an easy solution that it doesn’t require to stop the polyline command and lets you undo. (more…)

  • Use break command In order to split objects in AutoCAD.

    This apply to objects that we want to split (and break on the split points) so at the end we get different objects. (NOTE: This does NOT apply to circle breaking due to the fact that you’ll get an error that says: Cannot create 360 degree arc)

    By  typing the command BR (Break) and first pressing somewhere on the object and then pressing somewhere for a second time the section between the first press (where you selected the object) and the second one, will be deleted. This is a better command for this and it is called TRIM.

    What you want to do here is this: (more…)

  • Proper way to rotate things in a drawing (AutoCAD)

    Some times there is a need to rotate things in our drawing so they would be aligned with something else (for example an arrow aligned with some lines so it will indicate some kind of direction). (more…)

  • How to load AutoLISP code in AutoCAD

    If you do not know how to load LISP scripts in Autocad there are several ways. (more…)